/**
 * y25 - Visualizing Graphs in 2.5 Dimensions
 * 
 * Arbeitsbereich: Paralleles Rechnen Prof. Kaufmann
 * Studienarbeit:  Werner Jainek
 * Betreuung:      Nina Lehmann
 *
 */
package y25.layout;

/**
 * A stage of a complex layout chain.
 * <p>
 * This interface is typically used in conjunction with
 * {@link CompositeLayouter25D CompositeLayouter25D} to perform complex layouts
 * of a graph.
 * <p>
 * This interface mirrors the <code>LayoutStage</code> interface found in the
 * <code>y.layout</code> package.
 * 
 * @author Werner Jainek
 */
public interface LayoutStage25D extends Layouter25D {

	/**
	 * Returns the core layouter.
	 */
	public Layouter25D getCoreLayouter25D();

	/**
	 * Sets the core layouter.
	 */
	public void setCoreLayouter25D(Layouter25D layouter);

}
