/**
 * y25 - Visualizing Graphs in 2.5 Dimensions
 * 
 * Arbeitsbereich: Paralleles Rechnen Prof. Kaufmann
 * Studienarbeit:  Werner Jainek
 * Betreuung:      Nina Lehmann
 *
 */
package y25.layout;

/**
 * A general interface for algorithms that perform a layout process on a given
 * layered layout graph.
 * 
 * This interface basically mirrors the <code>Layouter</code> functionality
 * for two dimensional graphs found in the <code>y.layout</code> package.
 * 
 * @author Werner Jainek
 */
public interface Layouter25D {

	/**
	 * Returns <code>true</code>, if this <code>Layouter25D</code> is
	 * capable of layouting the given graph.
	 */
	public boolean canLayout(LayeredLayoutGraph llg);

	/**
	 * Performs the layout on the given graph.
	 */
	public void doLayout(LayeredLayoutGraph llg);

}
