/**
 * y25 - Visualizing Graphs in 2.5 Dimensions
 * 
 * Arbeitsbereich: Paralleles Rechnen Prof. Kaufmann
 * Studienarbeit:  Werner Jainek
 * Betreuung:      Nina Lehmann
 *
 */
package y25.view.realizer;

import java.awt.Color;

import javax.media.opengl.GLAutoDrawable;

import y.view.Arrow;
import y.view.NodeRealizer;
import y25.base.LayerEdge;
import y25.graphics.BoundingBox;
import y25.graphics.Camera;
import y25.view.LayerEdgeRealizer25D;

/**
 * Implementation of a LayerEdgeRealizer with no function. This is useful for
 * debugging.
 * 
 * @author Werner Jainek
 */
public class DummyLayerEdgeRealizer25D implements LayerEdgeRealizer25D {

	public LayerEdgeRealizer25D createCopy() {
		return new DummyLayerEdgeRealizer25D();
	}

	public void paintGL(GLAutoDrawable drawable, Camera camera) {
	}

	public void bindLayerEdge(LayerEdge le) {
	}

	public LayerEdge getLayerEdge() {
		return null;
	}

	public void setLineColor(Color color) {
	}

	public Color getLineColor() {
		return new Color(0, 0, 0);
	}

	public void setLineRadius(double d) {
	}

	public double getLineRadius() {
		return 0;
	}

	public boolean isSelected() {
		return false;
	}

	public void setSelected(boolean selected) {
	}

	public BoundingBox getBoundingBox() {
		return new BoundingBox();
	}

	public int getLineDisplayMode() {
		return MODE_2D;
	}

	public void setLineDisplayMode(int mode) {
	}

	public Arrow getArrow() {
		return Arrow.NONE;
	}

	public Arrow getSourceArrow() {
		return Arrow.NONE;
	}

	public Arrow getTargetArrow() {
		return Arrow.NONE;
	}

	public void setArrow(Arrow arrow) {
	}

	public void setSourceArrow(Arrow arrow) {
	}

	public void setTargetArrow(Arrow arrow) {
	}

	public NodeRealizer getSourceRealizer() {
		return new DummyNodeRealizer25D();
	}

	public NodeRealizer getTargetRealizer() {
		return new DummyNodeRealizer25D();
	}
}
